.section	".rodata"
.align	8
.section	".text"
f_13:
	set	12345, %i2
	retl
	nop
.global	min_caml_start
min_caml_start:
	save	%sp, -112, %sp
	set	10, %i2
	set	3, %i3
	st	%o7, [%i0 + 4]
	call	min_caml_create_array
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	set	67890, %i3
	ld	[%i2 + 0], %i4
	cmp	%i4, 3
	bne	be_else_38
	nop
	st	%i3, [%i0 + 0]
	st	%i2, [%i0 + 4]
	st	%o7, [%i0 + 12]
	call	f_13
	add	%i0, 16, %i0	! delay slot
	sub	%i0, 16, %i0
	ld	[%i0 + 12], %o7
	ld	[%i0 + 4], %i3
	ld	[%i3 + 4], %i3
	add	%i2, %i3, %i2
	ld	[%i0 + 0], %i3
	add	%i2, %i3, %i2
	b	be_cont_39
	nop
be_else_38:
	set	7, %i2
be_cont_39:
	st	%o7, [%i0 + 12]
	call	min_caml_print_int
	add	%i0, 16, %i0	! delay slot
	sub	%i0, 16, %i0
	ld	[%i0 + 12], %o7
	ret
	restore
